Completion84PostingsFormat (Lucene 10.5.0 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest.document, class: Completion84PostingsFormat

Package org.apache.lucene.search.suggest.document

# Class Completion84PostingsFormat

java.lang.Object
org.apache.lucene.codecs.PostingsFormat
org.apache.lucene.search.suggest.document.CompletionPostingsFormat
org.apache.lucene.search.suggest.document.Completion84PostingsFormat

All Implemented Interfaces:
  `NamedSPILoader.NamedSPI`

public class Completion84PostingsFormat extends CompletionPostingsFormat
`CompletionPostingsFormat` for `org.apache.lucene.backward_codecs.lucene84.Lucene84PostingsFormat`. This format is only used for backward-compatibility of the index format and cannot be used to write data, use `Completion99PostingsFormat` on new indices.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Completion84PostingsFormat()`
  Creates a `Completion84PostingsFormat`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PostingsFormat`
  `delegatePostingsFormat()`
  Concrete implementation should specify the delegating postings format

  ### Methods inherited from class org.apache.lucene.search.suggest.document.CompletionPostingsFormat

  `fieldsConsumer, fieldsProducer`

  ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

  `availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Completion84PostingsFormat

    public Completion84PostingsFormat()
    Creates a `Completion84PostingsFormat`.

- ## Method Details

  - ### delegatePostingsFormat

    protected PostingsFormat delegatePostingsFormat()
    Description copied from class: `CompletionPostingsFormat`
    Concrete implementation should specify the delegating postings format
    Specified by:
      `delegatePostingsFormat` in class `CompletionPostingsFormat`